最近一个项目,需要升级一个JOOMLA外贸网站最新的JOOMLA3.x版本。当时本来想在本地的WAMP环境中进行测试的。无奈,客户给的AKeeaba备份文件中有文件名为中文的文件,在执行kickstart还原的时候出现不能写的问题。依据以往的经验,这个问题看来只能在Linux下才能解决。因为,以前做过很多的JOOMLA网站的升级,在技术上到没有什么担心,以前的环境也还在。初步判断,这次升级应该不会很麻烦。可是在真的操作中,第一个问题就出现了,由于上次测试Joomla2.5的环境,将虚拟机中LAMP重装了。现在发现JOOMLA3.x要求的php至少在5.3.10+。而当时安装的Centos中的php的版本仅仅只有5.3.3. 为了解决这个php版本的问题,我用了整整两天的时间。在这个过程中,有很多的收获,仅以此文备忘。

 

内容未完待续...

用户评分: 5 / 5

活动星星活动星星活动星星活动星星活动星星
 

评论 (2)